@ECHO OFF
CLS
ECHO  Program  -  DriveList.CMD  -  11 dec 2007 - Date = %DATE% %TIME:~0,8%
ECHO  Please Wait .....

:: Check Windows version
IF NOT "%OS%"=="Windows_NT" (
  ECHO ***** ONLY for Windows XP OR Windows 2003 *****
  GOTO :_end_quit
)

SETLOCAL ENABLEEXTENSIONS
SETLOCAL ENABLEDELAYEDEXPANSION

set drlist=
set drfat=
set drfat32=
set drntfs=

:: Following rules finds Existing Drives and Determines FileSystem without running of Drive


FOR /F "tokens=*" %%a in ('fsutil fsinfo drives ^| FIND /V ""') DO (

    set dr=%%a

    call set drlist=%%drlist%% %%dr:~-3,2%%

    FOR /F "tokens=*" %%G IN ('fsutil fsinfo volumeinfo !dr! ^| FIND "FAT" ^| FIND /V "FAT32"') DO ( 
       call set drfat=%%drfat%% %%dr:~-3,2%%
    )

    FOR /F "tokens=*" %%G IN ('fsutil fsinfo volumeinfo !dr! ^| FIND "FAT32"') DO ( 
       call set drfat32=%%drfat32%% %%dr:~-3,2%%
    )

    FOR /F "tokens=*" %%G IN ('fsutil fsinfo volumeinfo !dr! ^| FIND "NTFS"') DO ( 
       call set drntfs=%%drntfs%% %%dr:~-3,2%%
    )
)

ECHO  Drive List =%drlist%
ECHO.
ECHO  Drive FAT  =%drfat%
ECHO  Drive FAT32=%drfat32%
ECHO  Drive NTFS =%drntfs%
ECHO.

FOR %%a in (%drlist%) DO fsutil fsinfo drivetype %%a

:: Following rules gives UNWANTED running of drive
:: for %%a in (%drlist%) do (
::   set drv=%%a
::   FOR /F "tokens=2 delims=:" %%G IN ('fsutil fsinfo volumeinfo !drv! ^| FIND "FAT"') DO ECHO Drive !drv! = %%G
:: )

:_end_quit
ECHO.
ECHO  End Program  -  DriveList.CMD - Date = %DATE% %TIME:~0,8%
PAUSE
EXIT